summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-08 19:04:08 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-03-08 19:04:39 +0100
commitd7443e05892e21953f2476002a87f3c0213706bb (patch)
treebdc943e4106bc2c6f20218650cf96563b88f1827 /kde-apps/print-manager/print-manager-17.12.3.ebuild
parentsys-fs/zfs: drop old (diff)
downloadgentoo-d7443e05892e21953f2476002a87f3c0213706bb.tar.gz
gentoo-d7443e05892e21953f2476002a87f3c0213706bb.tar.bz2
gentoo-d7443e05892e21953f2476002a87f3c0213706bb.zip
kde-apps: Add KDE Applications 17.12.3
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'kde-apps/print-manager/print-manager-17.12.3.ebuild')
-rw-r--r--kde-apps/print-manager/print-manager-17.12.3.ebuild53
1 files changed, 53 insertions, 0 deletions
diff --git a/kde-apps/print-manager/print-manager-17.12.3.ebuild b/kde-apps/print-manager/print-manager-17.12.3.ebuild
new file mode 100644
index 00000000000..e59f9d37adb
--- /dev/null
+++ b/kde-apps/print-manager/print-manager-17.12.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit kde5
+
+DESCRIPTION="Manage print jobs and printers in Plasma"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gtk"
+
+DEPEND="
+ $(add_frameworks_dep kcmutils)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdbusaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep knotifications)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kwindowsystem)
+ $(add_frameworks_dep plasma)
+ $(add_qt_dep qtdbus)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtnetwork)
+ $(add_qt_dep qtwidgets)
+ net-print/cups
+"
+RDEPEND="${DEPEND}
+ $(add_plasma_dep kde-cli-tools)
+ gtk? ( app-admin/system-config-printer )
+"
+
+pkg_postinst(){
+ if ! use gtk ; then
+ ewarn
+ ewarn "By switching off \"gtk\" USE flag, you have chosen to do without"
+ ewarn "an important, though optional, runtime dependency:"
+ ewarn
+ ewarn "app-admin/system-config-printer"
+ ewarn
+ ewarn "${PN} will work nevertheless, but is going to be less comfortable"
+ ewarn "and will show the following error status during runtime:"
+ ewarn
+ ewarn "\"Failed to group devices: 'The name org.fedoraproject.Config.Printing"
+ ewarn "was not provided by any .service files'\""
+ ewarn
+ fi
+}